UTS(4)

NAME
uts - USB touchscreen support

SYNOPSIS
uts* at uhub?
wsmouse* at uts? mux 0

DESCRIPTION
The uts driver provides support for USB touchscreens. Access to the touchscreen is provided through the wscons(4) framework.

Touching the screen will emulate mouse button 0 being pressed.

The touchscreen sensor is poorly aligned, therefore xtsscale(1) should be used to provide calibration results to the uts driver.

The uts driver works with the following touchscreens and panels:

-   Gunze USB Touch Panel
-   Hantouch
-   LG L1510SF LCD Monitor
-   Origin AE X15e HTPC case with 7" LCD

SEE ALSO
xtsscale(1), uhub(4), usb(4), wscons(4), wsmouse(4)

HISTORY
The uts driver first appeared in OpenBSD 4.2.

AUTHORS
-nosplit The uts driver was written by Robert Nagy <robert@openbsd.org>.